# GCC_ConferenceCreateRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceCreateRequest:

List of all members.

## Public Types

enum | OptionalFields { e_convenerPassword, e_password, e_conductorPrivileges, e_conductedPrivileges, e_nonConductedPrivileges, e_conferenceDescription, e_callerIdentifier, e_userData, e_conferencePriority }

## Public Member Functions

| GCC_ConferenceCreateRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_ConferenceName | m_conferenceName
GCC_Password | m_convenerPassword
GCC_Password | m_password
PASN_Boolean | m_lockedConference
PASN_Boolean | m_listedConference
PASN_Boolean | m_conductibleConference
GCC_TerminationMethod | m_terminationMethod
GCC_ArrayOf_Privilege | m_conductorPrivileges
GCC_ArrayOf_Privilege | m_conductedPrivileges
GCC_ArrayOf_Privilege | m_nonConductedPrivileges
GCC_TextString | m_conferenceDescription
GCC_TextString | m_callerIdentifier
GCC_UserData | m_userData
GCC_ConferencePriority | m_conferencePriority

## Member Enumeration Documentation

enum GCC_ConferenceCreateRequest::OptionalFields

Enumerator:

  e_convenerPassword |
  e_password |
  e_conductorPrivileges |
  e_conductedPrivileges |
  e_nonConductedPrivileges |
  e_conferenceDescription |
  e_callerIdentifier |
  e_userData |
  e_conferencePriority |

## Constructor & Destructor Documentation

GCC_ConferenceCreateRequest::GCC_ConferenceCreateRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceCreateRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceCreateRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceCreateRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceCreateRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceCreateRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceCreateRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_ConferenceName GCC_ConferenceCreateRequest::m_conferenceName

GCC_Password GCC_ConferenceCreateRequest::m_convenerPassword

GCC_Password GCC_ConferenceCreateRequest::m_password

PASN_Boolean GCC_ConferenceCreateRequest::m_lockedConference

PASN_Boolean GCC_ConferenceCreateRequest::m_listedConference

PASN_Boolean GCC_ConferenceCreateRequest::m_conductibleConference

GCC_TerminationMethod GCC_ConferenceCreateRequest::m_terminationMethod

GCC_ArrayOf_Privilege GCC_ConferenceCreateRequest::m_conductorPrivileges

GCC_ArrayOf_Privilege GCC_ConferenceCreateRequest::m_conductedPrivileges

GCC_ArrayOf_Privilege GCC_ConferenceCreateRequest::m_nonConductedPrivileges

GCC_TextString GCC_ConferenceCreateRequest::m_conferenceDescription

GCC_TextString GCC_ConferenceCreateRequest::m_callerIdentifier

GCC_UserData GCC_ConferenceCreateRequest::m_userData

GCC_ConferencePriority GCC_ConferenceCreateRequest::m_conferencePriority

The documentation for this class was generated from the following file:

- gcc.h